Package javassist.bytecode

# Class NestHostAttribute

java.lang.Object
javassist.bytecode.AttributeInfo
javassist.bytecode.NestHostAttribute

public class NestHostAttribute extends AttributeInfo
`NestHost_attribute`. It was introduced by JEP-181. See JVMS 4.7.28 for the specification.

Since:
  3.24

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`tag`
The name of this attribute `"NestHost"`.

## Method Summary

Modifier and Type
Method
Description
`AttributeInfo`
`copy(ConstPool newCp, Map<String,String> classnames)`
Makes a copy.
`int`
`hostClassIndex()`
Returns `host_class_index`.

### Methods inherited from class javassist.bytecode.AttributeInfo

`get, getConstPool, getName, length, set`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

public static final String tag
The name of this attribute `"NestHost"`.

See Also:
  - Constant Field Values

## Method Details

### copy

public AttributeInfo copy(ConstPool newCp, Map<String,String> classnames)
Makes a copy. Class names are replaced according to the given `Map` object.

Overrides:
  `copy` in class `AttributeInfo`
Parameters:
  `newCp` - the constant pool table used by the new copy.
  `classnames` - pairs of replaced and substituted class names.

### hostClassIndex

public int hostClassIndex()
Returns `host_class_index`. The constant pool entry at this entry is a `CONSTANT_Class_info` structure.

Returns:
  the value of `host_class_index`.